import Vue from 'vue'
import App from './App'

Vue.config.productionTip = false

// 加入购物车

function addCart(spec_id, quantity) {
	uni.request({
		url: '/uni/api//credit_goods/add_cart',
		method: 'post',
		dataType: 'json',
		data: {
			spec_id: spec_id,
			quantity: quantity
		},
		success: (res) => {
			console.log(res)
		}
	})
}

(function() {
	uni.request({
		url: '/uni/api/application/is_login',
		type:'get',
		success: (res) => {
			Vue.prototype.$isLogin = res.data.data;
		}
	});
})()

Vue.prototype.$addCart = addCart;

App.mpType = 'app'

const app = new Vue({
    ...App
})
app.$mount()
